Getting started with Angular Floating Action Button component

11 Feb 20268 minutes to read

This guide demonstrates how to create a simple Floating Action Button and demonstrates the basic usage of the Floating Action Button component in an Angular environment.

Note: This guide supports Angular 21 and other recent Angular versions. For detailed compatibility with other Angular versions, please refer to the Angular version support matrix. Starting from Angular 19, standalone components are the default, and this guide reflects that architecture.

Ready to streamline your Syncfusion® Angular development? Discover the full potential of Syncfusion® Angular components with Syncfusion® AI Coding Assistant. Effortlessly integrate, configure, and enhance your projects with intelligent, context-aware code suggestions, streamlined setups, and real-time insights—all seamlessly integrated into your preferred AI-powered IDEs like VS Code, Cursor, Syncfusion® CodeStudio and more. Explore Syncfusion® AI Coding Assistant

To get started quickly with the Angular Floating Action Button component, you can check out this video:

Prerequisites

Ensure your development environment meets the System Requirements for Syncfusion® Angular UI Components.

Dependencies

The list of dependencies required to use the Floating Action Button component in your application is given below:

|-- @syncfusion/ej2-angular-buttons
  |-- @syncfusion/ej2-angular-base
  |-- @syncfusion/ej2-buttons
    |-- @syncfusion/ej2-base

SetUp the Angular application

A straightforward approach to beginning with Angular is to create a new application using the Angular CLI. Install Angular CLI globally with the following command:

npm install -g @angular/cli

Angular 21 Standalone Architecture: Standalone components are the default in Angular 21. This guide uses the modern standalone architecture. If you need more information about the standalone architecture, refer to the Standalone Guide.

Installing a specific version

To install a particular version of Angular CLI, use:

npm install -g @angular/[email protected]

Create a new application

With Angular CLI installed, execute this command to generate a new application:

ng new syncfusion-angular-app
  • This command will prompt you to configure settings like enabling Angular routing and choosing a stylesheet format.
? Which stylesheet format would you like to use? (Use arrow keys)
> CSS             [ https://developer.mozilla.org/docs/Web/CSS                     ]
  Sass (SCSS)     [ https://sass-lang.com/documentation/syntax#scss                ]
  Sass (Indented) [ https://sass-lang.com/documentation/syntax#the-indented-syntax ]
  Less            [ http://lesscss.org                                             ]
  • By default, a CSS-based application is created. Use SCSS if required:
ng new syncfusion-angular-app --style=scss
  • During project setup, when prompted for the Server-side rendering (SSR) option, choose the appropriate configuration.

Initial_setup

  • Select the required AI tool or ‘none’ if you do not need any AI tool.

Initial_setup

  • Navigate to your newly created application directory:
cd syncfusion-angular-app

Note: In Angular 19 and below, it uses app.component.ts, app.component.html, app.component.css etc. In Angular 20+, the CLI generates a simpler structure with src/app/app.ts, app.html, and app.css (no .component. suffixes).

Installing Syncfusion® Buttons package

Syncfusion®’s Angular component packages are available on npmjs.com. To use Syncfusion® Angular components, install the necessary package.

This guide uses the Angular Floating Action Button Component for demonstration. Add the Angular Floating Action Button component with:

ng add @syncfusion/ej2-angular-buttons

This command will perform the following configurations:

  • Add the @syncfusion/ej2-angular-buttons package and peer dependencies to your package.json.
  • Import the Floating Action Button component in your application.
  • Register the default Syncfusion® Material theme in angular.json.

For more details on version compatibility, refer to the Version Compatibility section.

Syncfusion® offers two package structures for Angular components:

  1. Ivy library distribution package format
  2. Angular compatibility compiler (ngcc), which is Angular’s legacy compilation pipeline.
    Syncfusion®’s latest Angular packages are provided as Ivy-compatible and suited for Angular 12 and above. To install the package, execute:
    ng add @syncfusion/ej2-angular-buttons

    For applications not compiled with Ivy, use the ngcc tagged packages:

    The ngcc packages are still compatible with Angular CLI versions 15 and below. However, they may generate warnings suggesting the use of IVY compiled packages. Starting from Angular 16, support for the ngcc package has been completely removed. If you have further questions regarding ngcc compatibility, please refer to the following FAQ.

    npm add @syncfusion/[email protected]

Add CSS reference

Syncfusion® Angular component themes can be added in various ways: via CSS or SCSS styles from npm packages, CDN, CRG, or Theme Studio.

The Material theme is added to your styles.css when you run ng add (this happens automatically by default).

To stylize only specific Syncfusion® components, import the necessary styles. For example, to style only the Floating Action Button component:

@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-icons/styles/material.css';

Ensure that the import order aligns with the component’s dependency sequence.

For using SCSS styles, refer to this guide.

Add Syncfusion® Floating Action Button component

Use the following snippet in the src/app/app.ts file to import the Floating Action Button component.

import { FabModule } from '@syncfusion/ej2-angular-buttons';
import { Component } from '@angular/core';

@Component({
  imports: [FabModule],
  standalone: true,
  selector: 'app-root',
  template: `
    <!-- To render Floating Action Button -->
    <button ejs-fab id='fab' content='Add'></button>`
})

export class AppComponent { }

Run the application

Run the application in the browser using the following command:

ng serve

The following example shows a basic Floating Action Button component.

import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { FabModule } from '@syncfusion/ej2-angular-buttons';
import { Component } from '@angular/core'

@Component({
    imports: [FabModule],
    standalone: true,
    selector: 'app-root',
    template: `
    <div id="targetElement" style="position:relative;min-height:350px;border:1px solid;"></div>
    <!-- To Render Floating Action Button -->
    <button ejs-fab id='fab' content='Add' target='#targetElement'></button>`
})

export class AppComponent { }
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Click event

The Floating Action Button triggers the click event when the button is clicked. Use this event to perform the required action.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { FabModule } from '@syncfusion/ej2-angular-buttons'
import { Component } from '@angular/core';

@Component({
    imports: [FabModule],
    standalone: true,
    selector: 'app-root',
    template: `
    <div id="targetElement" style="position:relative;min-height:350px;border:1px solid;"> </div>
        <!-- To Render Floating Action Button. -->
        <button ejs-fab id='fab' iconCss= 'e-icons e-edit' content= 'Edit' (click) ="onclick()" target= '#targetElement'></button>`
})

export class AppComponent {
    onclick() {
        alert("Edit is clicked!");
    };
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Getting Started with the Vue Floating Action Button Component in Vue 2

13 Mar 202611 minutes to read

This article provides a step-by-step guide for setting up a Vue 2 project using Vue-CLI and integrating the Syncfusion® Vue Floating Action Button component.

Prerequisites

System requirements for Syncfusion® Vue UI components

Setting up the Vue 2 project

To generate a Vue 2 project using Vue-CLI, use the vue create command. Follow these steps to install Vue CLI and create a new project:

npm install -g @vue/cli
vue create quickstart
cd quickstart
npm run serve

or

yarn global add @vue/cli
vue create quickstart
cd quickstart
yarn run serve

When creating a new project, choose the option Default ([Vue 2] babel, eslint) from the menu.

Vue 2 project

Once the quickstart project is set up with default settings, proceed to add Syncfusion® components to the project.

Add Syncfusion® Vue packages

Syncfusion® packages are available at npmjs.com. To use Vue components, install the required npm package.

This article uses the Vue Floating Action Button component as an example. Install the @syncfusion/ej2-vue-buttons package by running the following command:

npm install @syncfusion/ej2-vue-buttons --save

or

yarn add @syncfusion/ej2-vue-buttons

Import Syncfusion® CSS styles

Syncfusion® components require CSS stylesheets to display correctly. You can import themes in various ways, such as using CSS or SASS styles from npm packages, CDN, CRG, and Theme Studio. Refer to themes topic to learn more about built-in themes and different ways to reference themes in a Vue project.

In this article, the Material3 theme is applied using CSS styles, which are available in installed packages. The necessary Material3 CSS styles for the Floating Action Button component and its dependents were imported into the <style> section of the src/App.vue file.

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material3.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material3.css';
</style>

The order of CSS imports matters. Import base styles first, then component-specific styles. Missing CSS imports can result in misaligned layouts, buttons without styling, or missing visual elements in popups and dialogs.

Add Syncfusion® Vue component

Follow the below steps to add the Vue Floating Action Button component:

1. First, import and register the Floating Action Button component in the script section of the src/App.vue file.

<script setup>
import { FabComponent as EjsFab } from "@syncfusion/ej2-vue-buttons";
</script>
<script>
import { FabComponent } from "@syncfusion/ej2-vue-buttons";
export default {
    components: {
    'ejs-fab': FabComponent
    }
}
</script>

2. In the template section, define the Floating Action Button component with the content property. The target property specifies the element relative to which the Floating Action Button is positioned.

<template>
    <div>
        <div id="targetElement" style="position:relative;min-height:350px;border:1px solid;"></div>
        <!-- To render Floating Action Button -->
        <ejs-fab id='fab' content='Add' target='#targetElement'></ejs-fab>
    </div>
</template>

Here is the summarized code for the above steps in the src/App.vue file:

<template>
    <div>
        <div id="targetElement" style="position:relative;min-height:350px;border:1px solid;"></div>
        <!-- To render Floating Action Button -->
        <ejs-fab id='fab' content='Add' target='#targetElement'></ejs-fab>
    </div>
</template>

<script setup>
    import { FabComponent as EjsFab } from "@syncfusion/ej2-vue-buttons";
    import { enableRipple } from '@syncfusion/ej2-base';

    enableRipple(true);
</script>

<style>
    @import '../node_modules/@syncfusion/ej2-base/styles/material3.css';
    @import '../node_modules/@syncfusion/ej2-buttons/styles/material3.css';
</style>
<template>
    <div>
        <div id="targetElement" style="position:relative;min-height:350px;border:1px solid;"></div>
        <!-- To render Floating Action Button -->
        <ejs-fab id='fab' content='Add' target='#targetElement'></ejs-fab>
    </div>
</template>

<script>
import { FabComponent } from "@syncfusion/ej2-vue-buttons";
import { enableRipple } from '@syncfusion/ej2-base';
enableRipple(true);
export default {
    name: "App",
    components: {
        'ejs-fab': FabComponent
    }
}
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material3.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material3.css';
</style>

Run the project

To run the project, use the following command:

npm run serve

or

yarn run serve

Click event

The Floating Action Button component triggers the click event when the button is clicked. Use this event to perform actions such as opening a dialog, navigating to a page, or submitting data.

<template>
    <div class="container">
        <div id="targetElement" class="content-area">
            <h2>Floating Action Button Click event</h2>
            <p class="log-label">Action Log:</p>
            <div class="log-output"></div>

            <ejs-fab
                id="fab"
                iconCss="e-icons e-edit"
                content="Edit"
                v-on:click="onClick"
                target="#targetElement"
            />
        </div>
    </div>
</template>

<script setup>
import { FabComponent as EjsFab } from "@syncfusion/ej2-vue-buttons";
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

const logMessage: 'No actions yet...',
const onClick = function () {
    logMessage = `Edit clicked at ${new Date().toLocaleTimeString()}`;
}
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material3.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material3.css';

    .container {
    display: flex;
    justify-content: center;
    padding: 40px;
    }

    .content-area {
    position: relative;
    width: 400px;
    min-height: 300px;
    padding: 24px;
    border: 1px solid #e0e0e0;
    border-radius: 8px;
    background: #fafafa;
    }

    h2 {
    margin: 0 0 16px;
    color: #333;
    }

    .log-label {
    margin: 0 0 8px;
    font-size: 14px;
    color: #666;
    }

    .log-output {
    padding: 12px;
    background: #fff;
    border: 1px solid #ddd;
    border-radius: 4px;
    font-family: monospace;
    color: #2196f3;
    }
</style>
<template>
  <div class="container">
    <div id="targetElement" class="content-area">
      <h2>Floating Action Button Click event</h2>
      <p class="log-label">Action Log:</p>
      <div class="log-output"></div>

      <ejs-fab
        id="fab"
        iconCss="e-icons e-edit"
        content="Edit"
        @click="onClick"
        target="#targetElement"
      />
    </div>
  </div>
</template>

<script>
import { FabComponent } from '@syncfusion/ej2-vue-buttons';
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

export default {
  name: 'App',
  components: {
    'ejs-fab': FabComponent,
  },
  data() {
    return {
      logMessage: 'No actions yet...',
    };
  },
  methods: {
    onClick() {
      this.logMessage = `Edit clicked at ${new Date().toLocaleTimeString()}`;
    },
  },
};
</script>

<style >
    @import '../node_modules/@syncfusion/ej2-base/styles/material3.css';
    @import '../node_modules/@syncfusion/ej2-buttons/styles/material3.css';

    .container {
    display: flex;
    justify-content: center;
    padding: 40px;
    }

    .content-area {
    position: relative;
    width: 400px;
    min-height: 300px;
    padding: 24px;
    border: 1px solid #e0e0e0;
    border-radius: 8px;
    background: #fafafa;
    }

    h2 {
    margin: 0 0 16px;
    color: #333;
    }

    .log-label {
    margin: 0 0 8px;
    font-size: 14px;
    color: #666;
    }

    .log-output {
    padding: 12px;
    background: #fff;
    border: 1px solid #ddd;
    border-radius: 4px;
    font-family: monospace;
    color: #2196f3;
    }
</style>

Getting started with React Floating Action Button component

28 Jul 20266 minutes to read

This section explains the steps required to create a simple React Floating Action Button component and demonstrate its basic usage in a React environment.

Ready to streamline your Syncfusion® React development? Discover the full potential of Syncfusion® React components with Syncfusion® AI Coding Assistant. Effortlessly integrate, configure, and enhance your projects with intelligent, context-aware code suggestions, streamlined setups, and real-time insights—all seamlessly integrated into your preferred AI-powered IDEs like VS Code, Cursor, Syncfusion® CodeStudio and more. Explore Syncfusion® AI Coding Assistant.

To get started quickly with React Floating Action Button, you can watch this video:

Prerequisites

System requirements for Syncfusion® React UI components

Set up the Vite project

To create a new Vite project, use one of the commands that are specific to either NPM or Yarn.

npm create vite@latest my-project -- --template react
yarn create vite my-project --template react

After running the command, you will be prompted with a series of interactive questions to configure your project. Select the appropriate options for each prompt:

  1. Select a linter to use: Choose the linter for your project (for example, ESLint).
  2. Install with npm and start now?: Type Yes to proceed with installing the dependencies and automatically start the development server, or No to install dependencies manually later.

Navigate into the project directory with:

cd my-project

Add Syncfusion® React packages

Syncfusion® React component packages are available at npmjs.com. To use Syncfusion® React components in the project, install the corresponding npm package.

To install the React component package, use the following command:

npm install @syncfusion/ej2-react-buttons
yarn add @syncfusion/ej2-react-buttons

Import Syncfusion® CSS styles

Themes for Syncfusion® React components can be applied using CSS or SASS files from the npm theme packages, CDN, CRG, or Theme Studio. For more information, see the themes documentation.

This guide uses the Tailwind 3 theme as an example, sourced from the theme package. In this package, each component includes an index.css file that automatically loads all the required dependency styles. To install the Tailwind 3 theme package, use the following command:

npm install @syncfusion/ej2-tailwind3-theme
yarn add @syncfusion/ej2-tailwind3-theme

By default, Vite projects include a src/index.css file with default styles. These default styles may conflict with Syncfusion component styles. Clear all content from the src/index.css file to prevent style conflicts.

The required styles for the Floating Action Button component are imported in the src/App.css file:

@import "@syncfusion/ej2-tailwind3-theme/styles/floating-action-button/index.css";

You can also refer to the combined CSS file for all Syncfusion components in your application. For more information, see the documentation on referring themes through npm packages.

Add the Floating Action Button component

Now, you can add the React Floating Action Button component to your src/App.jsx file by importing and defining it within your application. Then, populate the Floating Action Button with data using the dataSource property, which accepts an array of string values to display as suggestions. Use the following code:

import { FabComponent } from '@syncfusion/ej2-react-buttons';
import './App.css';

function App() {
    return (
        <FabComponent id='fab'> Floating Action Button</FabComponent>
    );
}
export default App;

Run the application

Run the npm run dev command in the terminal to start the development server. This command compiles your code and serves the application locally, opening it in the browser.

npm run dev

The output will appear as follows:

import { FabComponent } from '@syncfusion/ej2-react-buttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';

function App() {
    function onClick() {
        alert("Edit is clicked!");
    }
    return (<div>
        <div id="targetElement" style=></div>
        {/* To render Floating Action Button */}
        <FabComponent id='fab' iconCss='e-icons e-edit' content='Edit' onClick={onClick} target='#targetElement'></FabComponent>
    </div>);
}
export default App;
ReactDom.render(<App />, document.getElementById('button'));
import { FabComponent } from '@syncfusion/ej2-react-buttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';

function App() {
    function onClick(): void {
        alert("Edit is clicked!");
    }
    return (
        <div>
            <div id="targetElement" style=></div>
            {/* To render Floating Action Button */}
            <FabComponent id='fab' iconCss='e-icons e-edit' content='Edit' onClick={onClick} target='#targetElement'></FabComponent>
        </div>
    );
}
export default App;
ReactDom.render(<App />, document.getElementById('button'));

See Also

Refer to the React Floating Action Button feature tour page for its groundbreaking feature representations. You can also explore our React Floating Action Button component example that shows how to render the Floating Action Button in React.